Package pyplusplus :: Package decl_wrappers :: Module namespace_wrapper :: Class namespace_t

# type namespace_t

source code

                                             object --+
                                                      |
                            decl_wrapper.decl_wrapper_t --+
                                                          |
                                scopedef_wrapper.scopedef_t --+
                                                              |
                                         object --+           |
                                                  |           |
    pygccxml.declarations.declaration.declaration_t --+       |
                                                      |       |
              pygccxml.declarations.scopedef.scopedef_t --+   |
                                                          |   |
                pygccxml.declarations.namespace.namespace_t --+
                                                              |
                                                             namespace_t

defines a set of properties, that will instruct Py++ how to expose the namespace

Today, Py++ does not exposes namespaces, but this could be changed in future. The future direction I see here, is to expose every namespace as sub-module of the main one.

Nested Classes
Inherited from `pygccxml.declarations.scopedef.scopedef_t`: `declaration_not_found_t`, `multiple_declarations_found_t`

Instance Methods

__init__(self, *arguments, **keywords) creates class that describes C++ namespace declaration | source code

Inherited from `scopedef_wrapper.scopedef_t`: `exclude`, `include`

Inherited from `decl_wrapper.decl_wrapper_t`: `disable_messages`, `disable_warnings`, `get_already_exposed`, `get_exportable`, `readme`, `rename`, `set_already_exposed`, `set_exportable`, `why_not_exportable`

Inherited from `pygccxml.declarations.namespace.namespace_t`: `__str__`, `adopt_declaration`, `free_fun`, `free_function`, `free_functions`, `free_funs`, `free_operator`, `free_operators`, `i_depend_on_them`, `namespace`, `namespaces`, `ns`, `nss`, `remove_declaration`, `take_parenting`

Inherited from `pygccxml.declarations.scopedef.scopedef_t`: `__eq__`, `__getitem__`, `calldef`, `calldefs`, `casting_operator`, `casting_operators`, `class_`, `classes`, `clear_optimizer`, `constructor`, `constructors`, `decl`, `decls`, `enum`, `enumeration`, `enumerations`, `enums`, `init_optimizer`, `mem_fun`, `mem_funs`, `mem_oper`, `mem_opers`, `member_function`, `member_functions`, `member_operator`, `member_operators`, `operator`, `operators`, `typedef`, `typedefs`, `var`, `variable`, `variables`, `vars`

Inherited from `pygccxml.declarations.declaration.declaration_t`: `__lt__`, `__ne__`, `create_decl_string`

Class Variables
Inherited from `decl_wrapper.decl_wrapper_t`: `SPECIAL_TYPEDEF_PICK_ANY` Inherited from `pygccxml.declarations.scopedef.scopedef_t`: `ALLOW_EMPTY_MDECL_WRAPPER`, `RECURSIVE_DEFAULT`

Properties

Inherited from `decl_wrapper.decl_wrapper_t`: `alias`, `already_exposed`, `disabled_messages`, `documentation`, `exportable`, `ignore`, `include_files`, `logger`

Inherited from `pygccxml.declarations.namespace.namespace_t`: `declarations`

Inherited from `pygccxml.declarations.declaration.declaration_t`: `attributes`, `cache`, `compiler`, `decl_string`, `demangled`, `is_artificial`, `location`, `mangled`, `name`, `parent`, `partial_decl_string`, `partial_name`, `top_parent`

Method Details

### __init__(self, *arguments, **keywords)
(Constructor)

source code

creates class that describes C++ namespace declaration

Overrides: pygccxml.declarations.declaration.declaration_t.__init__